Bug 657091 - spacewalk-repo-sync ignores http proxy settings
spacewalk-repo-sync ignores http proxy settings
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-11-24 16:19 EST by Stephan Dühr
Modified: 2012-03-19 09:49 EDT (History)
11 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-35.el5sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 05:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch Proposed (1.69 KB, patch)
2011-01-21 13:27 EST, Marcelo Moreira de Mello
no flags Details | Diff

  None (edit)
Description Stephan Dühr 2010-11-24 16:19:41 EST
Description of problem:
spacewalk-repo-sync ignores proxy settings

Version-Release number of selected component (if applicable):
spacewalk-backend-tools-1.2.13-11.el5sat

How reproducible:
always if Satellite has internet access only via http proxy

Steps to Reproduce:
1. Setup Repository as described in Reference Guide Section 7.6.3.3.
2. Click Sync Now in the GUI
3.
  
Actual results:
no packages are synced

Expected results:
all packages synced

Additional info:
The proxy settings in /etc/rhn/rhn.conf (works for satellite-sync) are ignored.
The proxy settings in /etc/yum.conf (works for yum update etc.) are ignored.
Global environment variable http_proxy set via /etc/profile only has an effect when running spacewalk-repo-sync from the command line, but not when it's called by taskomatic.
Comment 1 Marcelo Moreira de Mello 2011-01-21 13:27:39 EST
Created attachment 474652 [details]
Patch Proposed

Hello, 

Sent patch for spacewalk-devel list for approval. 

Best Regards, 
Marcelo Moreira de Mello
Comment 2 Miroslav Suchý 2011-01-21 14:44:12 EST
Fixed in spacewalk.git as commit 6690c51c5cbdc83de9eb5989ebc63fd1cedfa1fa
Thx for contribution.
Comment 6 Justin Sherrill 2011-01-26 09:26:17 EST
Additional Commit to fix missed variable rename:
98edcaf5762b16d47ca15c4c32fb22a9a20d6254
Comment 22 Jiri Kastner 2011-03-21 08:45:00 EDT
[root@ibm-x3655-01 errata]# iptables -L RH-Firewall-1-INPUT -v -n
Chain RH-Firewall-1-INPUT (2 references)
 pkts bytes target     prot opt in     out     source               destination         
   22  2142 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp spt:80 limit: avg 5/min burst 7 LOG flags 0 level 7 prefix `RESP-HTTP657091 ' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp spt:443 limit: avg 5/min burst 7 LOG flags 0 level 7 prefix `RESP-HTTPS657091 ' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp spt:443 state RELATED,ESTABLISHED LOG flags 0 level 7 prefix `EST-HTTPS657091 ' 
   34  4376 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp spt:80 state RELATED,ESTABLISHED LOG flags 0 level 7 prefix `EST-HTTP657091 ' 
    8  7641 LOG        tcp  --  *      *       10.16.64.99          0.0.0.0/0           limit: avg 5/min burst 7 LOG flags 0 level 7 prefix `RESP-BZ657091 ' 
 9712   14M LOG        tcp  --  *      *       10.16.64.99          0.0.0.0/0           state RELATED,ESTABLISHED LOG flags 0 level 7 prefix `EST-BZ657091 ' 
65526   15M ACCEPT     all  --  lo     *       0.0.0.0/0            0.0.0.0/0           
    0     0 ACCEPT     icmp --  *      *       0.0.0.0/0            0.0.0.0/0           icmp type 255 
    0     0 ACCEPT     esp  --  *      *       0.0.0.0/0            0.0.0.0/0           
    0     0 ACCEPT     ah   --  *      *       0.0.0.0/0            0.0.0.0/0           
  260 40702 ACCEPT     udp  --  *      *       0.0.0.0/0            224.0.0.251         udp dpt:5353 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           udp dpt:631 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:631 
10246   14M ACCEPT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           state RELATED,ESTABLISHED 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:3128 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW udp dpt:514 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW udp dpt:53 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:53 
   28  9696 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW udp dpt:68 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:68 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:22 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:80 
    6   360 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:443 
  363 57346 REJECT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited
Comment 23 Jiri Kastner 2011-03-21 08:50:04 EDT
[root@ibm-x3655-01 errata]# nslookup 10.16.64.99 -s s01.rdu.redhat.com
*** Invalid option: s
Server:         s01.rdu.redhat.com
Address:        10.11.255.155#53

99.64.16.10.in-addr.arpa        name = intel-d3c4702-01.rhts.eng.bos.redhat.com.

[root@ibm-x3655-01 errata]# grep proxy /etc/rhn/rhn.conf
server.satellite.http_proxy = intel-d3c4702-01.rhts.eng.bos.redhat.com:3128
server.satellite.http_proxy_username = 
server.satellite.http_proxy_password = 
web.subscribe_proxy_channel=1
[root@ibm-x3655-01 errata]# grep proxy /etc/yum.
yum.conf     yum.repos.d/ 
[root@ibm-x3655-01 errata]# grep proxy /etc/yum.conf 
proxy=http://intel-d3c4702-01.rhts.eng.bos.redhat.com:3128/
[root@ibm-x3655-01 errata]# grep Proxy /etc/sysconfig/rhn/up2date 
enableProxyAuth[comment]=To use an authenticated proxy or not
enableProxyAuth=0
enableProxy[comment]=Use a HTTP Proxy
enableProxy=1
httpProxy[comment]=HTTP proxy in host:port format, e.g. squid.redhat.com:3128
httpProxy=intel-d3c4702-01.rhts.eng.bos.redhat.com:3128
Comment 24 Aurelien Gouny 2011-03-23 00:33:21 EDT
I've got 3 more customers facing this issue directly. Any time-frame on a fix ?
Comment 25 errata-xmlrpc 2011-03-28 05:33:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0387.html

Note You need to log in before you can comment on or make changes to this bug.